Skip to content

OS Plans

GET
/api/v1/images/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/images/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>'
project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
category
string

Filters OS plans by operating system category

Example

Ubuntu
osversion
string

Operating system version filter for OS plans

Example

24.04
os
string

Operating system name used to filter plans

Example

Ubuntu
apikey
required
string

API key used to authenticate the request

Example

<API_KEY>
location
required
string

E2E Myaccount region identifier for the OS plan query

Example

<LOCATION>

Successful response

Media typeapplication/json
object
code

HTTP status code of the OS Plans response

integer
data
Array<object>
object
name

Name of the OS plan

string
plan

Identifier for the OS plan

string
image

Name of the operating system distribution for the plan

string
os
object
name

Operating system name for the plan

string
version

Operating system version string

string
image

Name of the operating system image

string
category

Operating system category name

string
location

Name of the city where the OS plan is offered

string
specs
object
id

Unique identifier for the OS plan

string
sku_name

Name of the SKU for the OS plan

string
ram

Amount of RAM in gigabytes

string
cpu

Number of CPU cores allocated to the OS plan

integer
disk_space

Disk space allocated for the OS plan, measured in gigabytes.

integer
price_per_month

Monthly price of the OS plan in cents

integer
price_per_hour

Hourly price of the OS plan

number
series

Identifier for the OS plan series

string
minimum_billing_amount

Minimum billing amount for the OS plan

integer
committed_sku
Array<object>
object
committed_sku_id

Identifier of the committed SKU

integer
committed_sku_name

Name of the committed SKU, including duration and price

string
committed_node_message

Message describing the reserved committed node, its reservation period, and cost.

string
committed_sku_price

Price of the committed SKU

number
committed_upto_date

Date up to which the SKU is committed

string
committed_days

Number of days the SKU is committed for

integer
family

Name of the OS plan family

string
cpu_type

Type of CPU offered in the OS plan

string
gpu_card_details
object
node_description

HTML-formatted description of the OS plan

string
installed_application_version
object
can_support_bitninja
object
show_bitninja

Indicates whether the BitNinja support option is shown

boolean
bitninja_cost

Cost associated with BitNinja support for the plan

integer
bitninja_discount_percentage

Discount percentage applied to the BitNinja plan

integer
available_inventory_status

Indicates whether inventory is available for the OS plan

boolean
currency

Three-letter ISO 4217 currency code for the plan

string
is_blockstorage_attachable

Indicates if block storage can be attached to the OS plan.

boolean
errors
object
message

Human-readable status message for the response

string

Example

{
"code": 200,
"data": [
{
"name": "C3.8GB",
"plan": "C3-4vCPU-8RAM-100DISK-C3-Onetemplate-Ubuntu24.04-Delhi",
"image": "Ubuntu-24.04-Distro",
"os": {
"name": "Ubuntu",
"version": "24.04",
"image": "Ubuntu-24.04-Distro",
"category": "Ubuntu"
},
"location": "Delhi",
"specs": {
"id": "1088",
"sku_name": "C3.8GB",
"ram": "8.00",
"cpu": 4,
"disk_space": 100,
"price_per_month": 2263,
"price_per_hour": 3.1,
"series": "C3",
"minimum_billing_amount": 0,
"committed_sku": [
{
"committed_sku_id": 1234,
"committed_sku_name": "1095 Days Committed , Rs. 48880.8",
"committed_node_message": "This committed node will be reserved for next 1095 days ( till 08-June-2028 08:56). The cost Rs. 48880.8 of this node will be added in next invoice.",
"committed_sku_price": 1234.5,
"committed_upto_date": "08-June-2028 08:56",
"committed_days": 1095
}
],
"family": "CPU Intensive 3rd Generation"
},
"cpu_type": "vCPU",
"node_description": "<br>\r\n<p>\r\n This image is built with minimal packages to ensure \r\n <b>optimal performance, security, and reliability</b>. It comes preinstalled with \r\n <b>monitoring and backup agents</b> and supports <b>SSH access</b> for seamless user login and management.\r\n</p>\r\n\r\n<p><b>Last updated:</b> 01/04/2025</p>\r\n\r\n<b>Features:</b>\r\n<ul>\r\n <li><b>Kernel Version:</b> Linux 6.8.0-56-generic</li>\r\n <li><b>SELinux:</b> Disabled</li>\r\n <li><b>OS Version:</b> Ubuntu 24.04.2 LTS</li>\r\n <li><b>SSH:</b> OpenSSH_9.6</li>\r\n</ul>\r\n\r\n<b>Preinstalled Packages:</b>\r\n<ul>\r\n <li><b>Contextualization scripts:</b> one-context (6.6.1-1)</li>\r\n <li><b>Monitoring:</b> Zabbix-agent (7.0.11)</li>\r\n <li><b>SBM Backups:</b> cdp-agent (R1soft 6.0.0)</li>\r\n</ul>\r\n\r\n<p>\r\n Community-driven <b>open-source software</b> ensures a <b>consistent and manageable platform</b>, \r\n making it suitable for a wide variety of deployments.\r\n</p><br>",
"can_support_bitninja": {
"show_bitninja": true,
"bitninja_cost": 760
},
"bitninja_discount_percentage": 0,
"available_inventory_status": true,
"currency": "INR",
"is_blockstorage_attachable": true
}
],
"message": "Success"
}